<div ng-include = "'html/navbarUser.html'"></div>


<div class = "container" style = "margin-top: 100px">
   
    <h2>Prijatelji</h2>
    <div style="text-align:right">
         <input type="button" value="Pronađi prijatelje" class="btn btn-success btn-lg" data-toggle="modal" data-target="#FriendsModal" ng-click = "cancelSearch()"/> 
     </div>
      <br/>
    <table  class="table table-bordered" >
        <tr>
            <th>Ime</th>
            <th>Prezime</th>
            <th>Email</th>
            <th>Mesto</th>
            <th>Adresa</th>
            <th>Posete</th>
            <th></th>
        </tr>
        <tr></tr>
         <tr ng-repeat = "fr in friends">
             <td class="col-md-2"> <span>{{fr.usrName}}</span></td>
             <td class="col-md-2"><span>{{fr.usrSurname}}</span></td>
             <td class="col-md-2"><span>{{fr.usrEmail}}</span></td>
             <td class="col-md-2"><span>{{fr.usrTown}}</span></td>
             <td class="col-md-2"><span>{{fr.usrAddress}}</span></td>
             <td class="col-md-2"><span>{{fr.usrVisits}}</span></td>
             <td class="col-md-2"><input type="button" value="Obrisi" class="btn btn-danger" ng-click = "removeFriend($index);"></td>
         </tr>
    </table>
    
    <div id="FriendsModal" class="modal fade" role="dialog">
      <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Pronađi prijatelje</h4>
          </div>
          <div class="modal-body">
              <div class="form-group has-feedback">
                  <input type="text" class="form-control" placeholder="Pretraži"  ng-model="searchInput" />
                  <i class="glyphicon glyphicon-search form-control-feedback"></i>
              </div>
              <input type="button" value="Pretraži" class="btn btn-primary" ng-click = "searchUsers();">
              <br/>
              <div class = "alert alert-info" ng-if = "searchStatus === 'finished'">Rezultat pretrage: </div>
              <table  class="table table-bordered">
                  <tr ng-repeat = "f in searchResult">
                      <td class="col-md-2"><span>{{f.usrName}}</span></td>
                      <td class="col-md-2"><span>{{f.usrSurname}}</span></td>
                      <td class="col-md-2"><input type="button" value="Dodaj" ng-if = "!isFriend($index);" class="btn btn-danger" ng-click = "addFriend($index);"></td>
                  </tr>
              </table>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal" ng-click = "cancelSearch();">Close</button>
          </div>
        </div>

      </div>
    </div>

</div>